<cfscript>
/**
 * Component that acts as a singleton transparently.
 *
 * @output false
 */
component
{
	metadata = getMetaData(this);
	
	if( not structKeyExists(metadata,"instance") )
	{
		lock name="StaticVariables(#metadata.name#)" timeout="10"
		{
			if( not structKeyExists(metadata,"instance") )
				metadata.instance = this;
		}
	}
	
	/**
	 * Constructor.
	 *
	 * @output false
	 */
	public any function init()
	{			
		return getMetaData(this).instance;
	}
}
</cfscript>

